/**
 * 
 */
package com.icdif.audio.examples;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.util.ArrayList;

import org.jfree.ui.RefineryUtilities;

import com.icdif.audio.graph.Chart;
import com.icdif.audio.io.WaveDecoder;

/**
 * @author wanderer
 *
 */
public class ExampleChart {

	/**
	 * @param args
	 * @throws Exception 
	 * @throws FileNotFoundException 
	 */
	public static void main(String[] args) throws FileNotFoundException, Exception {
		
		WaveDecoder decoder = new WaveDecoder(
				new FileInputStream(
						"/home/wanderer/Dropbox/code/java/SoundIt-Basic/teste-wav2.wav"));

		ArrayList<Float> allSamples = new ArrayList<Float>();
		float[] samples = new float[1024];

		while (decoder.readSamples(samples) > 0) {
			for (int i = 0; i < samples.length; i++)
				allSamples.add(samples[i]);
		}
		
		Chart demo = new Chart("Example Chart", allSamples);
        demo.pack();
        RefineryUtilities.centerFrameOnScreen(demo);
        demo.setVisible(true);

	}

}
